/**  版本信息模板在安装目录下，可自行修改。
* T_TypeResult.cs
*
* 功 能： N/A
* 类 名： T_TypeResult
*
* Ver    变更日期             负责人  变更内容
* ───────────────────────────────────
* V0.01  2022/3/7 11:55:15   N/A    初版
*
* Copyright (c) 2012 Maticsoft Corporation. All rights reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　版权所有：动软卓越（北京）科技有限公司　　　　　　　　　　　　　　│
*└──────────────────────────────────┘
*/
using System;
namespace CallCenterApi.Model
{
	/// <summary>
	/// T_TypeResult:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class T_TypeResult
	{
		public T_TypeResult()
		{}
		#region Model
		private int _f_id;
		private int? _f_phoneid;
		private string _f_typename1;
		private string _f_typevalue1;
		private string _f_typename2;
		private string _f_typevalue2;
		private string _f_typename3;
		private string _f_typevalue3;
		private string _f_typename4;
		private string _f_typevalue4;
		private string _f_typename5;
		private string _f_typevalue5;
		private string _f_typename6;
		private string _f_typevalue6;

        private string _f_typename7;
        private string _f_typevalue7;
        private string _f_typevalue12;
        private string _f_typevalue22;
        private string _f_typevalue32;
        private string _f_typevalue42;
        private string _f_typevalue52;
        private string _f_typevalue62;
        private string _f_userid;
        private DateTime? _f_createon= DateTime.Now;

        public string F_typeValue62
        {
            set { _f_typevalue62 = value; }
            get { return _f_typevalue62; }
        }



        public string F_typeValue52
        {
            set { _f_typevalue52 = value; }
            get { return _f_typevalue52; }
        }



        public string F_typeValue42
        {
            set { _f_typevalue42 = value; }
            get { return _f_typevalue42; }
        }



        public string F_typeValue32
        {
            set { _f_typevalue32 = value; }
            get { return _f_typevalue32; }
        }


        public string F_typeValue22
        {
            set { _f_typevalue22 = value; }
            get { return _f_typevalue22; }
        }




        public string F_typeValue12
        {
            set { _f_typevalue12 = value; }
            get { return _f_typevalue12; }
        }



        public string F_typeName7
        {
            set { _f_typename7 = value; }
            get { return _f_typename7; }
        }
        /// <summary>
        /// 
        /// </summary>
        public string F_typeValue7
        {
            set { _f_typevalue7 = value; }
            get { return _f_typevalue7; }
        }




        public string F_userId
        {
            set { _f_userid = value; }
            get { return _f_userid; }
        }

        /// <summary>
        /// 
        /// </summary>
        public int F_ID
		{
			set{ _f_id=value;}
			get{return _f_id;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? F_PhoneID
		{
			set{ _f_phoneid=value;}
			get{return _f_phoneid;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_typeName1
		{
			set{ _f_typename1=value;}
			get{return _f_typename1;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_typeValue1
		{
			set{ _f_typevalue1=value;}
			get{return _f_typevalue1;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_typeName2
		{
			set{ _f_typename2=value;}
			get{return _f_typename2;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_typeValue2
		{
			set{ _f_typevalue2=value;}
			get{return _f_typevalue2;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_typeName3
		{
			set{ _f_typename3=value;}
			get{return _f_typename3;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_typeValue3
		{
			set{ _f_typevalue3=value;}
			get{return _f_typevalue3;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_typeName4
		{
			set{ _f_typename4=value;}
			get{return _f_typename4;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_typeValue4
		{
			set{ _f_typevalue4=value;}
			get{return _f_typevalue4;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_typeName5
		{
			set{ _f_typename5=value;}
			get{return _f_typename5;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_typeValue5
		{
			set{ _f_typevalue5=value;}
			get{return _f_typevalue5;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_typeName6
		{
			set{ _f_typename6=value;}
			get{return _f_typename6;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_typeValue6
		{
			set{ _f_typevalue6=value;}
			get{return _f_typevalue6;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? F_CreateOn
		{
			set{ _f_createon=value;}
			get{return _f_createon;}
		}
		#endregion Model

	}
}

